package com.heyu.api.data.dao.vv;
/**
* <p>
*  服务类
* </p>
*
* @author quyixiao
* @since 2025-12-18
*/
import com.heyu.api.data.entity.vv.VvFrontPageEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface VvFrontPageDao extends BaseMapper<VvFrontPageEntity> {


	VvFrontPageEntity selectVvFrontPageById(@Param("id")Long id);


	Long insertVvFrontPage(VvFrontPageEntity vvFrontPage);


	Long insertOrUpdateVvFrontPage(VvFrontPageEntity vvFrontPage);


	int updateVvFrontPageById(VvFrontPageEntity vvFrontPage);


	int updateCoverVvFrontPageById(VvFrontPageEntity vvFrontPage);


	int deleteVvFrontPageById(@Param("id")Long id);


    List<VvFrontPageEntity> selectVvFrontPageAll();
}